Subject: bug#10085: 24.0.91; completion-pcm--find-all-completions returns wrong remote file names

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 Nov 2011 21:10:46 -0500

>>> Shall I submit such a patch towards rfn-eshadow.el, for the sake of the
>>> upcoming release?
>> You can even install it now.
> Done.

Thanks.

>> As I have shown with the trace, Tramp treats "/sud:" and "/sudo:"
>> differently, making the ":" a boundary separator in the first case but
>> not in the second.  It's not strictly incorrect, but it is inconsistent
>> and makes it harder for the minibuffer.el code to behave well.
> Tramp does not know of programmed completion and pcm style completion;
> all what it knows is file-name-all-completions.  What else could Tramp do?

Ah, right, Tramp doesn't control it directly but only indirectly.
So maybe the bug is in completion-file-name-table, or in the interaction
between it and Tramp.

        Stefan